Bug 211336 (adeskets)

Summary: Review Request: adesklets - A simple architecture for desktop applets
Product: [Fedora] Fedora Reporter: Luya Tshimbalanga <luya_tfz>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-11 02:35:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Luya Tshimbalanga 2006-10-18 14:39:44 EDT
Spec URL: http://www.thefinalzone.com/RPMS/adesklets.spec
SRPM URL: http://www.thefinalzone.com/RPMS/adesklets-0.6.1-3.src.rpm
Description: adesklets is an interactive Imlib2 console for the X Window system. It provides
to scripted languages a clean and simple way to write great looking, mildly
interactive desktop integrated graphic applets (aka "desklets").
Comment 1 Mamoru TASAKA 2006-10-27 11:17:01 EDT
I will review this by tomorrow.
Comment 2 Mamoru TASAKA 2006-10-27 13:40:06 EDT
( well note "tomorrow" means I will review this by 10/28   10:00EST)
Comment 3 Mamoru TASAKA 2006-10-28 08:25:49 EDT
Well, currently I cannot check this package (adesklets) with
installing this because there is a issue on this package which
prevents me from doing so.

A. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* Use rpmlint.
  - Well, please check your packages by rpmlint (in Fedora Extras)
    before you submit your packages.
    rpmlint is not silent.
----------------------------------------------------------------
E: adesklets info-dir-file /usr/share/info/dir
   Existence of /usr/share/info/dir breaks all info information
   in other packages. Please remove this.

W: adesklets hidden-file-or-dir \
     
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/adesklets/.packlist
W: adesklets perl-temp-file \
     
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/adesklets/.packlist
   These files are not necessary.

E: adesklets non-standard-executable-perm \
      /usr/lib/perl5/vendor_perl/5.8.8/updateproto.pl 0555
   Please explain why the permission of this file is not 0755.

W: adesklets file-not-utf8 /usr/share/info/adesklets_fr.info.gz
   This file is encoded in ISO-8859-1 (perhaps). Change the encoding to UTF-8.

W: adesklets perl-temp-file
/usr/lib/perl5/5.8.8/i386-linux-thread-multi/perllocal.pod
   This file is unneeded.

W: adesklets spurious-bracket-in-%preun
   Please use :
        if [ $1 = 0 ]; then

W: adesklets mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 13)
   For indentation, please use spaces or tabs, not both.
-----------------------------------------------------------------------

* Requires:
  - python-abi
    This is not required as described in
http://fedoraproject.org/wiki/Packaging/Python .

* BuildRequires:
  - The results of rpmbuild and mockbuild differs.
------------------------------------------------------------------------
[tasaka1@localhost i386]$ rpm -qp --requires adesklets-0.6.1-3.i386.rpm | sort >
1.txt
[tasaka1@localhost i386]$ rpm -qp --requires adesklets-0.6.1-3.fc7.i386.rpm |
sort > 2.txt
[tasaka1@localhost i386]$ diff -u 1.txt 2.txt 
--- 1.txt       2006-10-28 21:06:43.000000000 +0900
+++ 2.txt       2006-10-28 21:06:46.000000000 +0900
@@ -6,7 +6,6 @@
 /usr/bin/env  
 /usr/bin/perl  
 libImlib2.so.1  
-libX11.so.6  
 libc.so.6  
 libc.so.6(GLIBC_2.0)
-----------------------------------------------------------------------
Mockbuild buildlog says:
-----------------------------------------------------------------------
.........
checking for X... no
.........
configure: WARNING:
-----------------------------------------------------
you choosed to perform an `X Window less' build -
which means you will eventually end up with
a strictly command line program free of all
dependencies on xlib. If it is not what you intended
please reconfigure. For this to work you do need first
to configure your Imlib2 incantation for not using
X Window itself.
-----------------------------------------------------
................
-----------------------------------------------------------------------
   - Check the dependency for X related packages.

* Duplication of system libraries
   - /usr/share/adesklets/Vera.ttf
     Vera.ttf is included in bitstream-vera-fonts rpm and should not be 
     included in this package.

* Desktop files
  - This is GUI application and a appropriate application file should
    be installed.

* File and Directory Ownership
   - This package owns the following directories. This should not.
   /usr/lib/perl5/5.8.8
   /usr/lib/perl5/5.8.8/i386-linux-thread-multi
   /usr/lib/perl5/vendor_perl
   /usr/lib/perl5/vendor_perl/5.8.8
   /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
   /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto

B. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
* MUST: The sources used to build the package must ...
  I recommend that you use %{name}-%{version}.tar.bz2

* MUST: A package must not contain any duplicate files in the %files listing.
  Duplicate lists found.
---------------------------------------------------------------------
warning: File listed twice: /usr/lib/perl5/vendor_perl/5.8.8/adesklets.pm
warning: File listed twice: /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
warning: File listed twice:
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto
warning: File listed twice:
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/adesklets
warning: File listed twice:
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/adesklets/.packlist
warning: File listed twice: /usr/lib/perl5/vendor_perl/5.8.8/updateproto.pl
---------------------------------------------------------------------
  Please fix all.

C. Other issues I have found.
* Well, this is not a full review as I cannot install this unless the issues
  above is resolved.
Comment 4 Mamoru TASAKA 2006-11-03 11:35:02 EST
ping?
Comment 5 Luya Tshimbalanga 2006-11-03 12:48:49 EST
Sorry for the delay. I had a busy schedule I was unable to edit the spec file.
In addition, the server went down because the host went out of busines and I
just recently got a new host. The modification will come soon.
Comment 6 Mamoru TASAKA 2006-11-04 02:37:31 EST
Okay.
Comment 7 Mamoru TASAKA 2006-11-05 09:09:16 EST
Note: I will be busy till this Thursday (in Japan: EST+14h) and I may not
be able to check your srpm by that day.
Comment 8 Luya Tshimbalanga 2006-11-05 23:18:56 EST
Understood. I will take time to rework the spec file.
Comment 9 Mamoru TASAKA 2006-11-14 10:39:57 EST
Now I am alive and I will check the new srpm when
you upload it.
Comment 10 Mamoru TASAKA 2006-11-18 08:52:13 EST
ping?
Comment 11 Mamoru TASAKA 2006-12-02 09:03:47 EST
Again ping?
Comment 12 Luya Tshimbalanga 2006-12-03 00:59:27 EST
Back. One of problem is the lack of familiarity with the perl module used on
adesklets. Currently reading
http://fedoraproject.org/wiki/PackagingTips/Perl

Comment 13 Mamoru TASAKA 2006-12-24 07:12:14 EST
Again ping?
Comment 14 Mamoru TASAKA 2007-01-07 06:11:11 EST
Again...
Comment 15 Mamoru TASAKA 2007-01-18 13:02:49 EST
Well, actually more than one month is passed since I received
a comment from you.

I will close this bug if I cannot receive a comment from
you within a week.
Comment 16 Luya Tshimbalanga 2007-01-19 04:48:12 EST
Already a month. I haven;t had access to the system to resume the work being
busy at the job. I will resume the package development.
Comment 17 Mamoru TASAKA 2007-02-04 02:00:05 EST
Well, please upload a modified package, please!!

Actually no progress is made since my comment 3, which
is October of the last year.
Comment 18 Luya Tshimbalanga 2007-02-19 03:28:10 EST
http://www.thefinalzone.com/RPMS/adeskets.spec
http://www.thefinalzone.com/RPMS/adeskets-0.6.1-4.src.rpm
Unfortunately, I am unable to remove
/usr/lib/perl5/5.8.8/i386-linux-thread-multi/perllocal.pod
I need to see what mistake I made so I can fix them.
Comment 19 Mamoru TASAKA 2007-02-19 03:33:05 EST
Well,

-----------------------------------------------------
Not Found
The requested URL /RPMS/adeskets-0.6.1-4.src.rpm was not found on this server.

Additionally, a 404 Not Found error was encountered while trying to use an
ErrorDocument to handle the request. 
-----------------------------------------------------
Comment 20 Luya Tshimbalanga 2007-02-19 05:27:17 EST
A typo from my part
http://www.thefinalzone.com/RPMS/adesklets-0.6.1-4.src.rpm
Comment 21 Mamoru TASAKA 2007-02-19 09:47:26 EST
Umm... 0.6.1-4 still has a lot of issues to be fixed
I only checked packaging issues and I have not installed
this yet.

* The following issue:

> Unfortunately, I am unable to remove
> /usr/lib/perl5/5.8.8/i386-linux-thread-multi/perllocal.pod
> I need to see what mistake I made so I can fix them.
  - First of all, the place you wrote "rm -rf" is wrong.
    (Why is this before "make install")?
  - And check the macro {perl_vendorlib} actually returns.
-------------------------------------------------------------
[tasaka1@localhost adesklets]$ rpm --eval %perl_vendorlib
/usr/lib/perl5/vendor_perl/5.8.8
-------------------------------------------------------------

* BuildRequires
  - desktop-file-install requires "desktop-file-utils" for
    BuildRequires.
  - Still X related packages are missing from BuildRequires.
-------------------------------------------------------------
checking for fontconfig... no <- HERE
configure: WARNING:
-----------------------------------------------------
`fontconfig' was not found on your system.
Although `adesklets' will work anyway system-wide
automatic font detection will not occur:
it is therefore quite possible that only the
default font provided with the package will display.
-----------------------------------------------------
checking for fork... yes
checking for X... no <- HERE
-------------------------------------------------------------
    and
-----------------------------------------------------
you choosed to perform an `X Window less' build -
which means you will eventually end up with
a strictly command line program free of all
dependencies on xlib. If it is not what you intended
please reconfigure. For this to work you do need first
to configure your Imlib2 incantation for not using
X Window itself.
-----------------------------------------------------

* Macros
  - The following macros are not defined.
-----------------------------------------------------
[tasaka1@localhost i386]$ rpm --eval %_install_info
%_install_info
-----------------------------------------------------
  - And check "Texinfo" section of
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
      * Requirement for info package is missing
      * post does not the value 0 as $1
      * This is non-safe on non-docs install.
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00017.html

* Perl temp file
-----------------------------------------------------
W: adesklets hidden-file-or-dir
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/adesklets/.packlist
W: adesklets perl-temp-file
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/adesklets/.packlist
-----------------------------------------------------
  - Usually .packlist files should be removed.

* Permission
-----------------------------------------------------
E: adesklets non-standard-executable-perm
/usr/lib/perl5/vendor_perl/5.8.8/updateproto.pl 0555
-----------------------------------------------------
  - Why should this file should have 0555 (not 0755 or 0644) permission?

* Encodings
-----------------------------------------------------
W: adesklets file-not-utf8 /usr/share/info/adesklets_fr.info.gz
-----------------------------------------------------
   Please change the encodings to UTF-8.

* Desktop files
  - Categories are not right.
-----------------------------------------------------
Categories=User Interface;Desktop;
-----------------------------------------------------
    while desktop-file-validate complains:
-----------------------------------------------------
warning: Categories values must be one of 
"AudioVideo", "Audio", "Video", "Development", "Education", 
"Game", "Graphics", "Network", "Office", "Settings", "System", 
"Utility", "Building", "Debugger", "IDE", "GUIDesigner", 
"Profiling", "RevisionControl", "Translation", "Calendar", 
"ContactManagement", "Database", "Dictionary", "Chart", "Email", 
"Finance", "FlowChart", "PDA", "ProjectManagement", "Presentation", 
"Spreadsheet", "WordProcessor", "2DGraphics", "VectorGraphics", 
"RasterGraphics", "3DGraphics", "Scanning", "OCR", "Photography", 
"Viewer", "DesktopSettings", "HardwareSettings", "PackageManager", 
"Dialup", "InstantMessaging", "IRCClient", "FileTransfer", 
"HamRadio", "News", "P2P", "RemoteAccess", "Telephony", 
"WebBrowser", "WebDevelopment", "Midi", "Mixer", "Sequencer", 
"Tuner", "TV", "AudioVideoEditing", "Player", "Recorder", 
"DiscBurning", "ActionGame", "AdventureGame", "ArcadeGame", 
"BoardGame", "BlocksGame", "CardGame", "KidsGame", "LogicGame", 
"RolePlaying", "Simulation", "SportsGame", "StrategyGame", "Art", 
"Construction", "Music", "Languages", "Science", "Astronomy", 
"Biology", "Chemistry", "Geology", "Math", "MedicalSoftware", 
"Physics", "Amusement", "Archiving", "Electronics", "Emulator", 
"Engineering", "FileManager", "TerminalEmulator", "Filesystem", 
"Monitor", "Security", "Accessibility", "Calculator", "Clock", 
"TextEditor", "Core", "KDE", "GNOME", "GTK", "Qt", "Motif", 
"Java", "ConsoleOnly", "Screensaver", "TrayIcon", "Applet", "Shell"
-----------------------------------------------------
    - And what is the following?
-----------------------------------------------------
Exec=twf
-----------------------------------------------------

* Again Duplication of system libraries
   - /usr/share/adesklets/Vera.ttf
     Vera.ttf is included in bitstream-vera-fonts rpm and should not be 
     included in this package.
Comment 22 Mamoru TASAKA 2007-03-10 02:14:19 EST
ping?
Comment 23 Mamoru TASAKA 2007-03-20 11:33:03 EDT
Again?
Comment 24 Luya Tshimbalanga 2007-03-21 06:16:33 EDT
I am going to put adesklets on hold. I am focusing on artwork development for
Fedora 7 and will get back once it is complete.
Comment 25 Mamoru TASAKA 2007-05-28 09:51:40 EDT
Please update the status of this bug.
Comment 26 Mamoru TASAKA 2007-06-14 10:31:47 EDT
ping again?
Comment 27 Mamoru TASAKA 2007-06-17 11:23:42 EDT
I will close this bug if no response is received from the
submitter withine ONE WEEK.
Comment 28 Luya Tshimbalanga 2007-06-25 03:21:34 EDT
I haven't progressed on adesklets packaging. I am stuck with perl dependencies
and still unable to remove unnecessary perl files.
Comment 29 Mamoru TASAKA 2007-06-25 03:33:27 EDT
Well, okay. Then please upload the newest spec/srpm anyway.

I will recheck your spec/srpm again and check how I can help for it.
Comment 30 Mamoru TASAKA 2007-07-03 12:13:33 EDT
Would you upload new spec/srpm anyway? PLEASE!!
Comment 31 Luya Tshimbalanga 2007-07-09 01:48:39 EDT
For some reason, I am unable to create the SRPM for adesklets with that result:



$ rpmbuild -ba rpmbuild/SPECS/adesklets.spec
error: Unable to open temp file.


RPM build errors:
    Unable to open temp file.

I am not sure what cause rpmbuild to not create a temporary file. 
Comment 32 Mamoru TASAKA 2007-07-09 02:51:57 EDT
Well,
* What does "df -k" show?
* If you have ~/.rpmmacros, what does it say?
* And what does "rpm --eval %_tmppath" show?
Comment 33 Mamoru TASAKA 2007-07-10 11:45:54 EDT
I give up reviewing this bug...
Comment 34 Luya Tshimbalanga 2007-07-11 02:35:33 EDT
I am stooping working on this package as there is another development seeing on
http://www.redhat.com/archives/fedora-mentors-list/2007-June/msg00000.html. I
apologize for delaying packaging as I have lost interesting of packaging this
application.